Name:           odamex
Version:        10.0.0
Release:        3%{?dist}
Summary:        Odamex is a modification of DOOM to allow players to compete with each other over the Internet using a client/server architecture.

License:        GPL v2
URL:            https://github.com/odamex/odamex
Source0:        %{name}-src-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  curl-devel
BuildRequires:  libpng-devel
BuildRequires:  zlib-devel
BuildRequires:  deutex
BuildRequires:  wxBase3-devel
BuildRequires:	wxGTK3-devel
BuildRequires:	alsa-lib-devel

Requires:  SDL2
Requires:  SDL2_mixer
Requires:  curl
Requires:  libpng
Requires:  zlib
Requires:  wxBase3
Requires:  wxGTK3

%description
Odamex is a modification of DOOM to allow players to compete with each other over the Internet using a client/server architecture. Thanks to the source code release of DOOM by id Software in December 1997, there have been many modifications that enhanced DOOM in various ways. These modifications are known as "source ports", as early modifications mainly ported DOOM to other platforms and operating systems such as Windows and Macintosh.

Odamex is based on the CSDoom 0.62 source code originally created by Sergey Makovkin, which is based on the ZDoom 1.22 source code created by Marisa Heit.

%prep
%autosetup -n %{name}-src-%{version}

%build
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build
cd $RPM_BUILD_DIR/%{name}-src-%{version}/wad
/usr/bin/deutex -overwrite -rgb 0 255 255 -doom2 bootstrap -build wadinfo.txt ./odamex.wad

%install
%cmake_install
%check
%ctest

%files
%{_bindir}/oda*
%{_datadir}/odamex/*

%changelog
* Wed Jul 13 2022 Andrew Schott <andrew@schotty.com> - 10.0.0-3
- Fixes to spec regarding deutex wad build.

* Thu Mar 31 2022 Andrew Schott <andrew@schotty.com> - 10.0.0-2
- Conditional for removal of any existing file present problems on EL8

* Wed Mar 30 2022 Andrew Schott <andrew@schotty.com> - 10.0.0-1
- new release
- spec file cleanup

* Mon Sep 20 2021 Andrew Schott <andrew@schotty.com> - 0.9.5-1
- Initial build for repo
